BrlAPI 0.8

Data Fields
brlapi_param_properties_t Struct Reference

`#include <brlapi_param.h>`

## Data Fields
brlapi_param_type_t | type
uint16_t | arraySize
uint16_t | isArray:1
uint16_t | canRead:1
uint16_t | canWrite:1
uint16_t | canWatch:1
uint16_t | abiPadding1:4
uint16_t | hasSubparam:1

## Detailed Description

Structure that describes the properties of a parameter

## Field Documentation

## ◆ abiPadding1

uint16_t brlapi_param_properties_t::abiPadding1

## ◆ arraySize

uint16_t brlapi_param_properties_t::arraySize

If .isArray is true, the number of elements in the parameter's value; if .isArray is false then the number of elements in the parameter's value is always exactly one

## ◆ canRead

uint16_t brlapi_param_properties_t::canRead

True if the parameter is readable

## ◆ canWatch

uint16_t brlapi_param_properties_t::canWatch

True if the parameter can be watched

## ◆ canWrite

uint16_t brlapi_param_properties_t::canWrite

True if the parameter is writable

## ◆ hasSubparam

uint16_t brlapi_param_properties_t::hasSubparam

whether the Parameter uses the subparam argument

## ◆ isArray

uint16_t brlapi_param_properties_t::isArray

True if the parameter's value contains several values; < False means always axactly one

## ◆ type

brlapi_param_type_t brlapi_param_properties_t::type

Type of the parameter's value

The documentation for this struct was generated from the following file:

- brlapi_param.h